Bug 172771 - Installing packages, scriptlet failed in selinux-policy-targeted-1.27.2-18
Installing packages, scriptlet failed in selinux-policy-targeted-1.27.2-18
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-09 10:05 EST by sangu
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-11 04:22:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2005-11-09 10:05:40 EST
Description of problem:
$tail -f /var/log/audit/audit.log

type=AVC msg=audit(1131548147.161:633): avc:  denied  { transition } for 
pid=6008 comm="rpm" name="bash" dev=hda8 ino=926913
scontext=root:system_r:unconfined_t:s0 tcontext=root:system_r:rpm_script_t:s0
tclass=process
type=SYSCALL msg=audit(1131548147.161:633): arch=40000003 syscall=11 success=no
exit=-13 a0=b7a3c1c6 a1=bfe0ec80 a2=bfe118d4 a3=0 items=1 pid=6008
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
comm="rpm" exe="/bin/rpm"
type=AVC_PATH msg=audit(1131548147.161:633):  path="/bin/bash"
type=CWD msg=audit(1131548147.161:633):  cwd="/"
type=PATH msg=audit(1131548147.161:633): item=0 name="/bin/sh" flags=101 
inode=926913 dev=03:08 mode=0100755 ouid=0 ogid=0 rdev=00:00

# ls -Z /bin/rpm
-rwxr-xr-x  rpm      rpm      system_u:object_r:rpm_exec_t     /bin/rpm

# ls -Z /var/lib/rpm -rw-r--r--  rpm      rpm     
system_u:object_r:rpm_var_lib_t  Basenames
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Conflictname
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Dirnames
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Filemd5s
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Group
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Installtid
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Name
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Packages
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Providename
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Provideversion
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Pubkeys
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Requirename
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Requireversion
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Sha1header
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Sigmd5
-rw-r--r--  rpm      rpm      system_u:object_r:rpm_var_lib_t  Triggername
-rw-r--r--  root     root     root:object_r:rpm_var_lib_t      __db.000
-rw-r--r--  root     root     root:object_r:rpm_var_lib_t      __db.001
-rw-r--r--  root     root     root:object_r:rpm_var_lib_t      __db.002
-rw-r--r--  root     root     root:object_r:rpm_var_lib_t      __db.003

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.27.2-18

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2005-11-09 14:26:17 EST
Fixed in selinux-policy-targeted-1.27.2-19

Note You need to log in before you can comment on or make changes to this bug.